| Region | Endpoint |
|---|---|
| Korea (Pangyo) region | https://kr1-rds-mariadb.api.nhncloudservice.com |
User Access Key is required to use the RDS for MariaDB API. A User Access Key is an authentication key issued based on an NHN Cloud or IAM account. It is used in conjunction with a Secret Access Key to authenticate API requests.
User Access Keys and Secret Access Keys can be issued in the console's API Security Setting. For more information on issuing and using User Access Key, see User Access Key. The created Key must be included in the request header along with the Appkey.
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| X-TC-APP-KEY | Header | String | Y | Appkey of RDS for MariaDB or integrated Appkey for project |
| X-TC-AUTHENTICATION-ID | Header | String | Y | User Access Key ID from the API Security Settings menu |
| X-TC-AUTHENTICATION-SECRET | Header | String | Y | Secret Access Key from the API Security Settings menu |
In addition, the APIs you can call are limited based on the project permissions. The RDS for MariaDB ADMIN and RDS for MariaDB VIEWER roles are granted the default permissions below, and you can grant only the permissions you need from the Role Group Management menu in the project.
RDS for MariaDB ADMIN role is granted all permissions required to execute APIs.RDS for MariaDB VIEWER role is granted only the permissions to query information.If an API request fails to authenticate or is not authorized, the following error occurs.
| resultCode | resultMessage | Description |
|---|---|---|
| 80401 | Unauthorized | Failed to authenticate. |
| 80403 | Forbidden | Unauthorized. |
The API responds with '200 OK' to all API requests. For more information on the response results, see the header in the response body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
}
}
{
"header": {
"resultCode": -1,
"resultMessage": "FAIL",
"isSuccessful": false
}
}
| Name | Format | Description |
|---|---|---|
| resultCode | Number | Result code - Success: 0- Failure: Non-zero |
| resultMessage | String | Result message |
| isSuccessful | Boolean | Successful or not |
| DB engine version | Available for creation | Whether restoration from Object Storage is available | Authentication Plugin Support |
|---|---|---|---|
| MARIADB_V10330 | N | N | ED25519, NATIVE |
| MARIADB_V10611 | N | N | ED25519, NATIVE |
| MARIADB_V10612 | N | N | ED25519, NATIVE |
| MARIADB_V10616 | N | N | ED25519, NATIVE |
| MARIADB_V10622 | N | N | ED25519, NATIVE |
| MARIADB_V10625 | N | N | ED25519, NATIVE |
| MARIADB_V101107 | Y | Y | ED25519, NATIVE |
| MARIADB_V101108 | Y | Y | ED25519, NATIVE |
| MARIADB_V101113 | Y | Y | ED25519, NATIVE |
| MARIADB_V101116 | Y | Y | ED25519, NATIVE |
| MARIADB_V101118 | Y | Y | ED25519, NATIVE |
| MARIADB_V11407 | Y | Y | ED25519, NATIVE |
| MARIADB_V11410 | Y | Y | ED25519, NATIVE |
| MARIADB_V11412 | Y | Y | ED25519, NATIVE |
| MARIADB_V11806 | Y | Y | ED25519, NATIVE |
| MARIADB_V11808 | Y | Y | ED25519, NATIVE |
GET /v3.0/db-versions
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbVersions": [
{
"dbVersion": "MARIADB_V11808",
"dbVersionName": "Maria DB 11.8.8",
"restorableFromObs": true
}
]
}
| Name | Format | Description |
|---|---|---|
| dbVersions | Array | DB engine list |
| dbVersions.dbVersion | Enum | DB engine version |
| dbVersions.dbVersionName | String | DB engine version name |
| dbVersions.restorableFromObs | Boolean | Whether restoration from Object Storage is available |
GET /v3.0/project/members
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"members": [
{
"memberId": "550e8400-e29b-41d4-a716-446655440000",
"memberName": "memberName-example",
"emailAddress": "user@example.com",
"phoneNumber": "010-1234-5678"
}
]
}
| Name | Format | Description |
|---|---|---|
| members | Array | Project member list |
| members.memberId | UUID | Project member identifier |
| members.memberName | String | Project member name |
| members.emailAddress | String | Project member email address |
| members.phoneNumber | String | Project member mobile |
GET /v3.0/project/regions
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"regions": [
{
"regionCode": "KR1",
"isEnabled": false
}
]
}
| Name | Format | Description |
|---|---|---|
| regions | Array | Region list |
| regions.regionCode | Enum | Region code - KR1: Korea (Pangyo) |
| regions.isEnabled | Boolean | Whether to enable a region |
GET /v3.0/db-flavors
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbFlavors": [
{
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"dbFlavorName": "dbFlavorName-example",
"ram": 1,
"vcpus": 1
}
]
}
| Name | Format | Description |
|---|---|---|
| dbFlavors | Array | List of DB instance specifications |
| dbFlavors.dbFlavorId | UUID | Identifier of DB instance specifications |
| dbFlavors.dbFlavorName | String | Name of DB instance specifications |
| dbFlavors.ram | Number | Memory size (MB) |
| dbFlavors.vcpus | Number | CPU cores |
GET /v3.0/network/subnets
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"subnets": [
{
"subnetId": "550e8400-e29b-41d4-a716-446655440000",
"subnetName": "subnetName-example",
"subnetCidr": "192.168.0.0/24",
"usingGateway": false,
"availableIpCount": 1
}
]
}
| Name | Format | Description |
|---|---|---|
| subnets | Array | Subnet list |
| subnets.subnetId | UUID | Subnet identifier |
| subnets.subnetName | String | Name to identify subnets |
| subnets.subnetCidr | String | CIDR of subnet |
| subnets.usingGateway | Boolean | Whether to use gateway |
| subnets.availableIpCount | Number | Number of available IPs |
GET /v3.0/storage-types
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"storageTypes": [
"General SSD",
"General HDD"
]
}
| Name | Format | Description |
|---|---|---|
| storageTypes | Array | Storage type list |
GET /v3.0/storages
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"storages": [
"General SSD",
"General HDD"
]
}
| Name | Format | Description |
|---|---|---|
| storages | Array | Storage list |
| Status Name | Description |
|---|---|
PREPARING |
Task in preparation |
READY |
Task in ready |
RUNNING |
Task in progress |
COMPLETED |
Task completed |
REGISTERED |
Task registered |
WAIT_TO_REGISTER |
Task waiting to register |
INTERRUPTED |
Task being interrupted |
CANCELED |
Task canceled |
FAILED |
Task failed |
ERROR |
Error occurred while task in progress |
DELETED |
Task deleted |
FAIL_TO_READY |
Failed to get ready for task |
GET /v3.0/jobs/{jobId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| jobId | URL | UUID | Y | Task identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000",
"jobStatus": "DELETED",
"resourceRelations": [
{
"resourceType": "resourceType-example",
"resourceId": "resourceId-example"
}
],
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
| jobStatus | Enum | Current task status - DELETED- CANNOT_PROGRESS- FAILED- ERROR- CANCELED- INTERRUPTED- COMPLETED- COMPLETED_WITH_ERROR- RUNNING- PREPARING- READY- CREATED- FAIL_TO_READY- REGISTERED- FAIL_TO_REGISTER- WAIT_TO_REGISTER |
| resourceRelations | Array | Relevant resource list |
| resourceRelations.resourceType | String | Relevant resource type |
| resourceRelations.resourceId | String | Relevant resource identifier |
| createdYmdt | DateTime | Created at |
| updatedYmdt | DateTime | Modified date and time |
GET /v3.0/db-instance-groups
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbInstanceGroups": [
{
"dbInstanceGroupId": "550e8400-e29b-41d4-a716-446655440000",
"replicationType": "STANDALONE",
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| dbInstanceGroups | Array | DB instance groups |
| dbInstanceGroups.dbInstanceGroupId | UUID | DB instance group identifier |
| dbInstanceGroups.replicationType | Enum | DB instance group replication type - STANDALONE: High availability is not used- HIGH_AVAILABILITY: High availability is used |
| dbInstanceGroups.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| dbInstanceGroups.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
GET /v3.0/db-instance-groups/{dbInstanceGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceGroupId | URL | UUID | Y | DB instance group identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbInstanceGroupId": "550e8400-e29b-41d4-a716-446655440000",
"replicationType": "STANDALONE",
"dbInstances": [
{
"dbInstanceId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceType": "MASTER",
"dbInstanceStatus": "AVAILABLE"
}
],
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
| Name | Format | Description |
|---|---|---|
| dbInstanceGroupId | UUID | DB instance group identifier |
| replicationType | Enum | DB instance group replication type - STANDALONE: High availability is not used- HIGH_AVAILABILITY: High availability is used |
| dbInstances | Array | DB instances belong to DB instance group |
| dbInstances.dbInstanceId | UUID | DB instance identifier |
| dbInstances.dbInstanceType | Enum | Role type of DB instance - MASTER: Primary- FAILED_MASTER: Failed Over Primary- CANDIDATE_MASTER: Standby- READ_ONLY_SLAVE: Read replica |
| dbInstances.dbInstanceStatus | Enum | DB instance current status - BEFORE_CREATE: Before creation (gray)- AVAILABLE: Available (green)- STORAGE_FULL: Insufficient capacity (red)- FAIL_TO_CREATE: Failed to create (red)- FAIL_TO_CONNECT: Failed to connect (red)- REPLICATION_STOP: Replication stopped (red)- REPLICATION_DELAY: Replication delayed (yellow)- FAILOVER: Failover completed (red)- SHUTDOWN: Stopped (gray)- DELETED: Deleted (gray) |
| createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| Status | Description |
|---|---|
AVAILABLE |
DB instance is available |
BEFORE_CREATE |
Before DB instance is created |
STORAGE_FULL |
Insufficient DB instance storage |
FAIL_TO_CREATE |
Failed to create DB instance |
FAIL_TO_CONNECT |
Failed to connect DB instance |
REPLICATION_STOP |
Replication of DB instance is stopped |
FAILOVER |
High availability DB instance failed over |
SHUTDOWN |
DB instance is stopped |
DELETED |
DB instance is deleted |
| Status | Description |
|---|---|
APPLYING_PARAMETER_GROUP |
Parameter group is being applied |
BACKING_UP |
Backing up |
CANCELING |
Canceling |
CREATING |
Creating |
CREATING_SCHEMA |
Creating DB schema |
CREATING_USER |
Creating user |
DELETING |
Deleting |
DELETING_SCHEMA |
Deleting DB schema |
DELETING_USER |
Deleting user |
EXPORTING_BACKUP |
Exporting backup |
FAILING_OVER |
Under failover |
MIGRATING |
Under migration |
MODIFYING |
Under modification |
PREPARING |
In preparation |
PROMOTING |
Promoting |
REBUILDING |
Rebuilding |
REPAIRING |
Recovering |
REPLICATING |
Replicating |
RESTARTING |
Restarting |
RESTARTING_FORCIBLY |
Force restarting |
RESTORING |
Restoring |
STARTING |
Starting |
STOPPING |
Stopping |
SYNCING_SCHEMA |
Synchronizing DB schema |
SYNCING_USER |
Synchronizing user |
UPDATING_USER |
Modifying user |
GET /v3.0/db-instances
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbInstances": [
{
"dbInstanceId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceName": "dbInstanceName-example",
"description": "description-example",
"dbVersion": "MARIADB_V11808",
"dbPort": 13306,
"dbInstanceType": "MASTER",
"dbInstanceStatus": "AVAILABLE",
"progressStatus": "NONE",
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| dbInstances | Array | DB instances |
| dbInstances.dbInstanceId | UUID | DB instance identifier |
| dbInstances.dbInstanceGroupId | UUID | DB instance group identifier |
| dbInstances.dbInstanceName | String | Name to identify the primary DB instance |
| dbInstances.description | String | Additional information of DB instance |
| dbInstances.dbVersion | Enum | DB engine version |
| dbInstances.dbPort | Number | DB port |
| dbInstances.dbInstanceType | Enum | Role type of DB instance - MASTER: Primary- FAILED_MASTER: Failed Over Primary- CANDIDATE_MASTER: Standby- READ_ONLY_SLAVE: Read replica |
| dbInstances.dbInstanceStatus | Enum | DB instance current status - BEFORE_CREATE: Before creation (gray)- AVAILABLE: Available (green)- STORAGE_FULL: Insufficient capacity (red)- FAIL_TO_CREATE: Failed to create (red)- FAIL_TO_CONNECT: Failed to connect (red)- REPLICATION_STOP: Replication stopped (red)- REPLICATION_DELAY: Replication delayed (yellow)- FAILOVER: Failover completed (red)- SHUTDOWN: Stopped (gray)- DELETED: Deleted (gray) |
| dbInstances.progressStatus | Enum | DB instance current progress status |
| dbInstances.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| dbInstances.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
POST /v3.0/db-instances
{
"dbInstanceName": "dbInstanceName",
"dbInstanceCandidateName": "dbInstanceCandidateName",
"description": "description-example",
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"dbVersion": "MARIADB_V11808",
"dbPort": 13306,
"dbUserName": "dbUserName",
"dbPassword": "dbPassword",
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupIds": [],
"userGroupIds": [],
"useHighAvailability": false,
"pingInterval": 3,
"useDefaultNotification": false,
"useDeletionProtection": false,
"authenticationPlugin": "NATIVE",
"tlsOption": "NONE",
"network": {
"subnetId": "550e8400-e29b-41d4-a716-446655440000",
"usePublicAccess": false,
"availabilityZone": "kr-pub-a"
},
"storage": {
"storageType": "General SSD",
"storageSize": 20
},
"backup": {
"backupPeriod": 0,
"backupRetryCount": 0,
"ftwrlWaitTimeout": 1800,
"replicationRegion": "KR1",
"useBackupLock": true,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
}
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceName | String | Y | Name to identify the primary DB instance - Minimum length: 1- Maximum length: 100 |
| dbInstanceCandidateName | String | N | Name to identify the standby DB instance - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB instance - Maximum length: 100 |
| dbFlavorId | UUID | Y | Identifier of DB instance specifications |
| dbVersion | Enum | Y | DB engine version |
| dbPort | Number | Y | DB port - Minimum value: 3306, Maximum value: 43306 |
| dbUserName | String | Y | DB user account name - Minimum length: 1- Maximum length: 32 |
| dbPassword | String | Y | DB user account password - Minimum length: 4- Maximum length: 256 |
| parameterGroupId | UUID | Y | Parameter group identifier |
| dbSecurityGroupIds | Array | N | DB security group identifiers |
| userGroupIds | Array | N | User group identifiers |
| useHighAvailability | Boolean | N | Whether to use high availability - Default: false |
| pingInterval | Number | N | Ping interval (sec) when using high availability - Default: 3- Minimum value: 1- Maximum value: 600 |
| useDefaultNotification | Boolean | N | Whether to use default notification - Default: false |
| useDeletionProtection | Boolean | N | Whether to protect against deletion - Default: false |
| authenticationPlugin | Enum | N | Authentication Plugin - NATIVE: mysql_native_password authentication- ED25519: ed25519 authentication (MariaDB only) |
| tlsOption | Enum | N | TLS option - Default: NONE- NONE: TLS is not used- SSL: SSL authentication- X509: X509 certificate authentication |
| network | Object | Y | Network information objects |
| network.subnetId | UUID | Y | Subnet identifier |
| network.usePublicAccess | Boolean | N | External access is available or not - Default: false |
| network.availabilityZone | Enum | Y | Availability zone where DB instance will be created |
| storage | Object | Y | Storage information object |
| storage.storageType | Enum | Y | Storage type |
| storage.storageSize | Number | Y | Block Storage Size (GB) - Minimum value: 20 |
| backup | Object | Y | Backup information objects |
| backup.backupPeriod | Number | Y | Backup retention period - Minimum value: 0- Maximum value: 730 |
| backup.backupRetryCount | Number | N | Number of backup retries - Minimum value: 0- Maximum value: 10 |
| backup.ftwrlWaitTimeout | Number | N | Query latency (sec) - Minimum value: 0- Maximum value: 21600 |
| backup.replicationRegion | Enum | N | Backup replication region - KR1: Korea (Pangyo) |
| backup.useBackupLock | Boolean | N | Whether to use table lock - Default: true |
| backup.backupSchedules | Array | Y | Backup schedule list |
| backup.backupSchedules.backupWndBgnTime | Time | Y | Backup start time |
| backup.backupSchedules.backupWndDuration | Enum | Y | Backup window - HALF_AN_HOUR: 30 minutes- ONE_HOUR: 1 hour- ONE_HOUR_AND_HALF: 1.5 hour- TWO_HOURS: 2 hour- TWO_HOURS_AND_HALF: 2.5 hour- THREE_HOURS: 3 hour |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/db-instances/restore-from-obs
{
"dbInstanceName": "dbInstanceName",
"dbInstanceCandidateName": "dbInstanceCandidateName",
"description": "description-example",
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"dbPort": 13306,
"dbVersion": "MARIADB_V11808",
"useHighAvailability": false,
"imageId": "550e8400-e29b-41d4-a716-446655440000",
"pingInterval": 3,
"storage": {
"storageType": "General SSD",
"storageSize": 20
},
"network": {
"subnetId": "550e8400-e29b-41d4-a716-446655440000",
"usePublicAccess": false,
"availabilityZone": "kr-pub-a"
},
"backup": {
"backupPeriod": 0,
"ftwrlWaitTimeout": 1800,
"backupRetryCount": 0,
"replicationRegion": "KR1",
"useBackupLock": true,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
},
"restore": {
"tenantId": "0123456789abcdef0123456789abcdef",
"username": "username-example",
"password": "password-example",
"targetContainer": "targetContainer-example",
"objectPath": "objectPath-example"
},
"useDefaultNotification": false,
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupIds": [],
"userGroupIds": [],
"useDeletionProtection": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceName | String | N | Name to identify the primary DB instance - Minimum length: 1- Maximum length: 100 |
| dbInstanceCandidateName | String | N | Name to identify the standby DB instance - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB instance - Maximum length: 100 |
| dbFlavorId | UUID | Y | Identifier of DB instance specifications |
| dbPort | Number | N | DB port |
| dbVersion | Enum | Y | DB engine version |
| useHighAvailability | Boolean | N | Whether to use high availability - Default: false |
| imageId | UUID | N | Image identifier |
| pingInterval | Number | N | Ping interval (sec) when using high availability - Minimum value: 1- Maximum value: 600 |
| storage | Object | Y | Storage information object |
| storage.storageType | Enum | Y | Storage type |
| storage.storageSize | Number | Y | Block Storage Size (GB) - Minimum value: 20 |
| network | Object | Y | Network information objects |
| network.subnetId | UUID | Y | Subnet identifier |
| network.usePublicAccess | Boolean | N | External access is available or not - Default: false |
| network.availabilityZone | Enum | Y | Availability zone where DB instance will be created |
| backup | Object | Y | Backup information objects |
| backup.backupPeriod | Number | Y | Backup retention period - Minimum value: 0- Maximum value: 730 |
| backup.ftwrlWaitTimeout | Number | N | Query latency (sec) - Minimum value: 0- Maximum value: 21600 |
| backup.backupRetryCount | Number | N | Number of backup retries - Minimum value: 0- Maximum value: 10 |
| backup.replicationRegion | Enum | N | Backup replication region - KR1: Korea (Pangyo) |
| backup.useBackupLock | Boolean | N | Whether to use table lock - Default: true |
| backup.backupSchedules | Array | Y | Backup schedule list |
| backup.backupSchedules.backupWndBgnTime | Time | Y | Backup start time |
| backup.backupSchedules.backupWndDuration | Enum | Y | Backup window - HALF_AN_HOUR: 30 minutes- ONE_HOUR: 1 hour- ONE_HOUR_AND_HALF: 1.5 hour- TWO_HOURS: 2 hour- TWO_HOURS_AND_HALF: 2.5 hour- THREE_HOURS: 3 hour |
| restore | Object | Y | Restoration information object |
| restore.tenantId | String | Y | Tenant ID of the Object Storage where the backup is saved |
| restore.username | String | Y | NHN Cloud member or IAM member ID |
| restore.password | String | Y | API password of the Object Storage where the backup is saved |
| restore.targetContainer | String | Y | Container of the Object Storage where the backup is saved |
| restore.objectPath | String | Y | Backup path stored in container |
| useDefaultNotification | Boolean | N | Whether to use default notification - Default: false |
| parameterGroupId | UUID | Y | Parameter group identifier |
| dbSecurityGroupIds | Array | N | DB security group identifiers |
| userGroupIds | Array | N | User group identifiers |
| useDeletionProtection | Boolean | N | Whether to protect against deletion - Default: false |
This API does not return a response body.
DELETE /v3.0/db-instances/{dbInstanceId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
GET /v3.0/db-instances/{dbInstanceId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbInstanceId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceName": "dbInstanceName-example",
"description": "description-example",
"dbVersion": "MARIADB_V11808",
"dbPort": 13306,
"dbInstanceType": "MASTER",
"dbInstanceStatus": "AVAILABLE",
"progressStatus": "NONE",
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupIds": [
"550e8400-e29b-41d4-a716-446655440000"
],
"notificationGroupIds": [
"550e8400-e29b-41d4-a716-446655440000"
],
"useDeletionProtection": false,
"supportAuthenticationPlugin": false,
"needToApplyParameterGroup": false,
"needMigration": false,
"supportDbVersionUpgrade": false,
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
| Name | Format | Description |
|---|---|---|
| dbInstanceId | UUID | DB instance identifier |
| dbInstanceGroupId | UUID | DB instance group identifier |
| dbInstanceName | String | Name to identify the primary DB instance |
| description | String | Additional information of DB instance |
| dbVersion | Enum | DB engine version |
| dbPort | Number | DB port |
| dbInstanceType | Enum | Role type of DB instance - MASTER: Primary- FAILED_MASTER: Failed Over Primary- CANDIDATE_MASTER: Standby- READ_ONLY_SLAVE: Read replica |
| dbInstanceStatus | Enum | DB instance current status - BEFORE_CREATE: Before creation (gray)- AVAILABLE: Available (green)- STORAGE_FULL: Insufficient capacity (red)- FAIL_TO_CREATE: Failed to create (red)- FAIL_TO_CONNECT: Failed to connect (red)- REPLICATION_STOP: Replication stopped (red)- REPLICATION_DELAY: Replication delayed (yellow)- FAILOVER: Failover completed (red)- SHUTDOWN: Stopped (gray)- DELETED: Deleted (gray) |
| progressStatus | Enum | DB instance current progress status |
| dbFlavorId | UUID | Identifier of DB instance specifications |
| parameterGroupId | UUID | Parameter group identifier applied to DB instance |
| dbSecurityGroupIds | Array | DB security group identifiers applied to DB instance |
| notificationGroupIds | Array | Notification group identifiers applied to DB instance |
| useDeletionProtection | Boolean | Whether to protect DB instance against deletion |
| supportAuthenticationPlugin | Boolean | Whether to support authentication plugin |
| needToApplyParameterGroup | Boolean | Need to apply the latest parameter group |
| needMigration | Boolean | Need to migrate |
| supportDbVersionUpgrade | Boolean | Whether to support DB version upgrade |
| createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
PUT /v3.0/db-instances/{dbInstanceId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"dbInstanceName": "dbInstanceName",
"dbInstanceCandidateName": "dbInstanceCandidateName",
"description": "description-example",
"dbPort": 13306,
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbVersion": "MARIADB_V11808",
"useDummy": false,
"dbSecurityGroupIds": [],
"executeBackup": false,
"useOnlineFailover": false,
"waitReplicationDelay": false,
"useReadOnly": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceName | String | N | Name to identify the primary DB instance - Minimum length: 1- Maximum length: 100 |
| dbInstanceCandidateName | String | N | Name to identify the standby DB instance - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB instance - Maximum length: 100 |
| dbPort | Number | N | DB port - Minimum value: 3306, Maximum value: 43306 |
| dbFlavorId | UUID | N | Identifier of DB instance specifications |
| parameterGroupId | UUID | N | Parameter group identifier |
| dbVersion | Enum | N | DB engine version |
| useDummy | Boolean | N | Whether to use dummies when upgrading the DB version of a single DB instance - Default: false |
| dbSecurityGroupIds | Array | N | DB security group identifiers |
| executeBackup | Boolean | N | Whether to perform a backup at the current point in time - Default: false |
| useOnlineFailover | Boolean | N | Whether to restart using failover - Default: false |
| waitReplicationDelay | Boolean | N | Wait for replication delay to be resolved - Default: false |
| useReadOnly | Boolean | N | Block write load - Default: false |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/db-instances/{dbInstanceId}/backup
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"backupName": "backupName"
}
| Name | Format | Required | Description |
|---|---|---|---|
| backupName | String | Y | Name to identify backups - Minimum length: 1- Maximum length: 100 |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
GET /v3.0/db-instances/{dbInstanceId}/backup-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"backupPeriod": 1,
"ftwrlWaitTimeout": 1,
"backupRetryCount": 1,
"replicationRegion": "KR1",
"useBackupLock": false,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
}
| Name | Format | Description |
|---|---|---|
| backupPeriod | Number | Backup retention period |
| ftwrlWaitTimeout | Number | Query latency (sec) |
| backupRetryCount | Number | Number of backup retries |
| replicationRegion | Enum | Backup replication region - KR1: Korea (Pangyo) |
| useBackupLock | Boolean | Whether to use table lock |
| backupSchedules | Array | Backup schedule list |
| backupSchedules.backupWndBgnTime | Time | Backup start time |
| backupSchedules.backupWndDuration | Enum | Backup window - HALF_AN_HOUR- ONE_HOUR- ONE_HOUR_AND_HALF- TWO_HOURS- TWO_HOURS_AND_HALF- THREE_HOURS |
PUT /v3.0/db-instances/{dbInstanceId}/backup-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"backupPeriod": 0,
"ftwrlWaitTimeout": 0,
"backupRetryCount": 0,
"replicationRegion": "KR1",
"useBackupLock": false,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
}
| Name | Format | Required | Description |
|---|---|---|---|
| backupPeriod | Number | N | Backup retention period - Minimum value: 0- Maximum value: 730 |
| ftwrlWaitTimeout | Number | N | Query latency (sec) - Minimum value: 0- Maximum value: 21600 |
| backupRetryCount | Number | N | Number of backup retries - Minimum value: 0- Maximum value: 10 |
| replicationRegion | Enum | N | Backup replication region - KR1: Korea (Pangyo) |
| useBackupLock | Boolean | N | Whether to use table lock |
| backupSchedules | Array | N | Backup schedule list |
| backupSchedules.backupWndBgnTime | Time | Y | Backup start time |
| backupSchedules.backupWndDuration | Enum | Y | Backup window - HALF_AN_HOUR: 30 minutes- ONE_HOUR: 1 hour- ONE_HOUR_AND_HALF: 1.5 hour- TWO_HOURS: 2 hour- TWO_HOURS_AND_HALF: 2.5 hour- THREE_HOURS: 3 hour |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/db-instances/{dbInstanceId}/backup-to-object-storage
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"tenantId": "0123456789abcdef0123456789abcdef",
"username": "example@nhncloud.com or example",
"password": "password-example",
"targetContainer": "targetContainer-example",
"objectPath": "objectPath-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| tenantId | String | Y | Tenant ID of the Object Storage where the backup will be saved - Minimum length: 32- Maximum length: 32 |
| username | String | Y | NHN Cloud member or IAM member ID |
| password | String | Y | API password of the Object Storage where the backup will be saved |
| targetContainer | String | Y | Container of the Object Storage where the backup will be saved |
| objectPath | String | Y | Backup path to be stored in container |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
PUT /v3.0/db-instances/{dbInstanceId}/change-image-meta
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
This API does not return a response body.
GET /v3.0/db-instances/{dbInstanceId}/db-schemas
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbSchemas": [
{
"dbSchemaId": "550e8400-e29b-41d4-a716-446655440000",
"dbSchemaName": "dbSchemaName-example",
"dbSchemaStatus": "STABLE",
"createdYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| dbSchemas | Array | DB schema list |
| dbSchemas.dbSchemaId | UUID | DB schema identifier |
| dbSchemas.dbSchemaName | String | DB schema name |
| dbSchemas.dbSchemaStatus | Enum | DB schema current status - STABLE- CREATING- SYNCING- DELETING- DELETED |
| dbSchemas.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
POST /v3.0/db-instances/{dbInstanceId}/db-schemas
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"dbSchemaName": "dbSchemaName-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbSchemaName | String | Y | DB schema name - Maximum length: 64- Must start with a letter, allows letters/numbers/_, 1 to 64 characters, MySQL reserved words are not allowed |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
DELETE /v3.0/db-instances/{dbInstanceId}/db-schemas/{dbSchemaId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| dbSchemaId | URL | UUID | Y | DB schema identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
GET /v3.0/db-instances/{dbInstanceId}/db-users
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbUsers": [
{
"dbUserId": "550e8400-e29b-41d4-a716-446655440000",
"dbUserName": "dbUserName-example",
"host": "192.168.0.1",
"authorityType": "CUSTOM",
"dbUserStatus": "STABLE",
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00",
"authenticationPlugin": "NATIVE",
"tlsOption": "NONE"
}
]
}
| Name | Format | Description |
|---|---|---|
| dbUsers | Array | DB users |
| dbUsers.dbUserId | UUID | DB user identifier |
| dbUsers.dbUserName | String | DB user account name |
| dbUsers.host | String | DB user account host name |
| dbUsers.authorityType | Enum | DB user permission type - CUSTOM: Custom permission- READ: Read permission- CRUD: CRUD permission- DDL: DDL permission- ALL: All permissions |
| dbUsers.dbUserStatus | Enum | DB user current status - STABLE- CREATING- UPDATING- SYNCING- DELETING- DELETED |
| dbUsers.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| dbUsers.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| dbUsers.authenticationPlugin | Enum | User authentication plugin - NATIVE: mysql_native_password authentication- ED25519: ed25519 authentication (MariaDB only) |
| dbUsers.tlsOption | Enum | Certificate option - NONE: TLS is not used- SSL: SSL authentication- X509: X509 certificate authentication |
POST /v3.0/db-instances/{dbInstanceId}/db-users
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"dbUserName": "dbUserName",
"dbPassword": "dbPassword",
"host": "192.168.0.1",
"authorityType": "CUSTOM",
"authenticationPlugin": "NATIVE",
"tlsOption": "NONE"
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbUserName | String | Y | DB user account name - Minimum length: 1- Maximum length: 32 |
| dbPassword | String | Y | DB user account password - Minimum length: 4- Maximum length: 256 |
| host | String | Y | DB user account host name - Maximum length: 45 |
| authorityType | Enum | Y | DB user permission type - CUSTOM: Custom permission- READ: Read permission- CRUD: CRUD permission- DDL: DDL permission- ALL: All permissions |
| authenticationPlugin | Enum | N | User authentication plugin - NATIVE: mysql_native_password authentication- ED25519: ed25519 authentication (MariaDB only) |
| tlsOption | Enum | N | Certificate option - Default: NONE- NONE: TLS is not used- SSL: SSL authentication- X509: X509 certificate authentication |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
DELETE /v3.0/db-instances/{dbInstanceId}/db-users/{dbUserId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| dbUserId | URL | UUID | Y | DB user identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
PUT /v3.0/db-instances/{dbInstanceId}/db-users/{dbUserId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| dbUserId | URL | UUID | Y | DB user identifier |
{
"dbPassword": "dbPassword",
"authorityType": "CUSTOM",
"authenticationPlugin": "NATIVE",
"tlsOption": "NONE"
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbPassword | String | N | DB user account password - Minimum length: 4- Maximum length: 256 |
| authorityType | Enum | N | DB user permission type - CUSTOM: Custom permission- READ: Read permission- CRUD: CRUD permission- DDL: DDL permission- ALL: All permissions |
| authenticationPlugin | Enum | N | User authentication plugin - NATIVE: mysql_native_password authentication- ED25519: ed25519 authentication (MariaDB only) |
| tlsOption | Enum | N | Certificate option - NONE: TLS is not used- SSL: SSL authentication- X509: X509 certificate authentication |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
PUT /v3.0/db-instances/{dbInstanceId}/deletion-protection
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"useDeletionProtection": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| useDeletionProtection | Boolean | Y | Whether to protect against deletion |
This API does not return a response body.
POST /v3.0/db-instances/{dbInstanceId}/force-restart
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
This API does not return a response body.
PUT /v3.0/db-instances/{dbInstanceId}/high-availability
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"useHighAvailability": false,
"pingInterval": 1
}
| Name | Format | Required | Description |
|---|---|---|---|
| useHighAvailability | Boolean | Y | Whether to use high availability |
| pingInterval | Number | N | Ping interval (sec) when using high availability - Minimum value: 1- Maximum value: 600 |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/db-instances/{dbInstanceId}/high-availability/pause
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/db-instances/{dbInstanceId}/high-availability/repair
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/db-instances/{dbInstanceId}/high-availability/resume
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/db-instances/{dbInstanceId}/high-availability/split
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
GET /v3.0/db-instances/{dbInstanceId}/log-files
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| logFileTypes | Query | Array | N | Log file type list |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"logFiles": [
{
"logFileName": "logFileName-example",
"logFileType": "ERROR",
"logFileSize": 1,
"createdYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| logFiles | Array | Log File list |
| logFiles.logFileName | String | Log File name |
| logFiles.logFileType | Enum | Log file type - ERROR- BINLOG- GENERAL- SLOW_QUERY- AUDIT- BACKUP |
| logFiles.logFileSize | Number | Log File size(Byte) |
| logFiles.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
POST /v3.0/db-instances/{dbInstanceId}/log-files/export
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"logFileNames": [],
"tenantId": "0123456789abcdef0123456789abcdef",
"username": "username-example",
"password": "password-example",
"targetContainer": "targetContainer-example",
"objectPath": "objectPath-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| logFileNames | Array | Y | Log File name list |
| tenantId | String | Y | Tenant ID of the Object Storage where the log file will be saved - Minimum length: 32- Maximum length: 32 |
| username | String | Y | NHN Cloud member or IAM account ID |
| password | String | Y | API password of the Object Storage where the log file will be saved |
| targetContainer | String | Y | Container of the Object Storage where the log file will be saved |
| objectPath | String | Y | Log file path to be stored in container |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
GET /v3.0/db-instances/{dbInstanceId}/network-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"availabilityZone": "kr-pub-a",
"subnet": {
"subnetId": "550e8400-e29b-41d4-a716-446655440000",
"subnetName": "subnetName-example",
"subnetCidr": "192.168.0.0/24"
},
"endPoints": [
{
"domain": "domain-example",
"ipAddress": "192.168.0.1",
"endPointType": "https://example.com"
}
]
}
| Name | Format | Description |
|---|---|---|
| availabilityZone | String | Availability zone where DB instance will be created |
| subnet | Object | Subnet object |
| subnet.subnetId | UUID | Subnet identifier |
| subnet.subnetName | String | Name to identify subnets |
| subnet.subnetCidr | String | CIDR of subnet |
| endPoints | Array | List of access information |
| endPoints.domain | String | Domain |
| endPoints.ipAddress | String | IP address |
| endPoints.endPointType | String | Connection information type |
PUT /v3.0/db-instances/{dbInstanceId}/network-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"usePublicAccess": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| usePublicAccess | Boolean | Y | External access is available or not |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/db-instances/{dbInstanceId}/promote
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/db-instances/{dbInstanceId}/replicate
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"dbInstanceName": "dbInstanceName",
"description": "description-example",
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"dbPort": 13306,
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupIds": [],
"userGroupIds": [],
"useDefaultNotification": false,
"useDeletionProtection": false,
"network": {
"usePublicAccess": false,
"availabilityZone": "kr-pub-a"
},
"storage": {
"storageType": "General SSD",
"storageSize": 20
},
"backup": {
"backupPeriod": 0,
"backupRetryCount": 0,
"ftwrlWaitTimeout": 0,
"replicationRegion": "KR1",
"useBackupLock": false,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
}
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceName | String | Y | Name to identify the primary DB instance - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB instance - Maximum length: 100 |
| dbFlavorId | UUID | N | Identifier of DB instance specifications |
| dbPort | Number | Y | DB port - Minimum value: 3306, Maximum value: 43306 |
| parameterGroupId | UUID | N | Parameter group identifier |
| dbSecurityGroupIds | Array | N | DB security group identifiers |
| userGroupIds | Array | N | User group identifiers |
| useDefaultNotification | Boolean | N | Whether to use default notification - Default: false |
| useDeletionProtection | Boolean | N | Whether to protect against deletion - Default: false |
| network | Object | Y | Network information objects |
| network.usePublicAccess | Boolean | N | External access is available or not |
| network.availabilityZone | Enum | Y | Availability zone where DB instance will be created |
| storage | Object | N | Storage information object |
| storage.storageType | Enum | N | Data storage type |
| storage.storageSize | Number | N | Block Storage Size (GB) - Minimum value: 20 |
| backup | Object | N | Backup information objects |
| backup.backupPeriod | Number | N | Backup retention period - Minimum value: 0- Maximum value: 730 |
| backup.backupRetryCount | Number | N | Number of backup retries - Minimum value: 0- Maximum value: 10 |
| backup.ftwrlWaitTimeout | Number | N | Query latency (sec) - Minimum value: 0- Maximum value: 21600 |
| backup.replicationRegion | Enum | N | Backup replication region - KR1: Korea (Pangyo) |
| backup.useBackupLock | Boolean | N | Whether to use table lock |
| backup.backupSchedules | Array | N | Backup schedule list |
| backup.backupSchedules.backupWndBgnTime | Time | N | Backup start time |
| backup.backupSchedules.backupWndDuration | Enum | N | Backup window - HALF_AN_HOUR: 30 minutes- ONE_HOUR: 1 hour- ONE_HOUR_AND_HALF: 1.5 hour- TWO_HOURS: 2 hour- TWO_HOURS_AND_HALF: 2.5 hour- THREE_HOURS: 3 hour |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/db-instances/{dbInstanceId}/restart
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"useOnlineFailover": false,
"executeBackup": false,
"waitReplicationDelay": false,
"useReadOnly": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| useOnlineFailover | Boolean | N | Whether to restart using failover - Default: false |
| executeBackup | Boolean | N | Whether to perform a backup at the current point in time - Default: false |
| waitReplicationDelay | Boolean | N | Wait for replication delay to be resolved - Default: false |
| useReadOnly | Boolean | N | Block write load - Default: false |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
GET /v3.0/db-instances/{dbInstanceId}/restoration-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
This API does not return a response body.
GET /v3.0/db-instances/{dbInstanceId}/restoration-info/last-query
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
| restoreType | Query | Enum | Y | Restoration type - TIMESTAMP: Point-in-time restoration using a time within the restorable period- BINLOG: Point-in-time restoration using a restorable binary log position |
TIMESTAMP| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| restoreYmdt | Query | DateTime | Y | DB instance restore date (YYYY-MM-DDThh:mm:ss.SSSTZD) |
BINLOG| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| backupId | Query | UUID | Y | Identifier of the backup to use for restoration |
| binLogFileName | Query | String | Y | Binary log name to use for restoration |
| binLogPosition | Query | String | Y | Binary log location to use for restoration |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"executedYmdt": "2023-12-31T15:00:00+09:00",
"lastQuery": "lastQuery-example"
}
| Name | Format | Description |
|---|---|---|
| executedYmdt | DateTime | Query executed date (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| lastQuery | String | Last executed query |
POST /v3.0/db-instances/{dbInstanceId}/restore
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"dbInstanceName": "dbInstanceName",
"dbInstanceCandidateName": "dbInstanceCandidateName",
"description": "description-example",
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"dbPort": 13306,
"useHighAvailability": false,
"imageId": "550e8400-e29b-41d4-a716-446655440000",
"pingInterval": 3,
"storage": {
"storageType": "General SSD",
"storageSize": 20
},
"network": {
"subnetId": "550e8400-e29b-41d4-a716-446655440000",
"usePublicAccess": false,
"availabilityZone": "kr-pub-a"
},
"backup": {
"backupPeriod": 0,
"ftwrlWaitTimeout": 1800,
"backupRetryCount": 0,
"replicationRegion": "KR1",
"useBackupLock": true,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
},
"restore": {
"restoreType": "TIMESTAMP"
},
"useDefaultNotification": false,
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupIds": [],
"userGroupIds": [],
"useDeletionProtection": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceName | String | N | Name to identify the primary DB instance - Minimum length: 1- Maximum length: 100 |
| dbInstanceCandidateName | String | N | Name to identify the standby DB instance - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB instance - Maximum length: 100 |
| dbFlavorId | UUID | Y | Identifier of DB instance specifications |
| dbPort | Number | N | DB port |
| useHighAvailability | Boolean | N | Whether to use high availability - Default: false |
| imageId | UUID | N | Image identifier |
| pingInterval | Number | N | Ping interval (sec) when using high availability - Minimum value: 1- Maximum value: 600 |
| storage | Object | Y | Storage information object |
| storage.storageType | Enum | Y | Storage type |
| storage.storageSize | Number | Y | Block Storage Size (GB) - Minimum value: 20 |
| network | Object | Y | Network information objects |
| network.subnetId | UUID | Y | Subnet identifier |
| network.usePublicAccess | Boolean | N | External access is available or not - Default: false |
| network.availabilityZone | Enum | Y | Availability zone where DB instance will be created |
| backup | Object | Y | Backup information objects |
| backup.backupPeriod | Number | Y | Backup retention period - Minimum value: 0- Maximum value: 730 |
| backup.ftwrlWaitTimeout | Number | N | Query latency (sec) - Minimum value: 0- Maximum value: 21600 |
| backup.backupRetryCount | Number | N | Number of backup retries - Minimum value: 0- Maximum value: 10 |
| backup.replicationRegion | Enum | N | Backup replication region - KR1: Korea (Pangyo) |
| backup.useBackupLock | Boolean | N | Whether to use table lock - Default: true |
| backup.backupSchedules | Array | Y | Backup schedule list |
| backup.backupSchedules.backupWndBgnTime | Time | Y | Backup start time |
| backup.backupSchedules.backupWndDuration | Enum | Y | Backup window - HALF_AN_HOUR: 30 minutes- ONE_HOUR: 1 hour- ONE_HOUR_AND_HALF: 1.5 hour- TWO_HOURS: 2 hour- TWO_HOURS_AND_HALF: 2.5 hour- THREE_HOURS: 3 hour |
| restore | Object | Y | Restoration information object |
| restore.restoreType | Enum | Y | Restoration type - TIMESTAMP: Point-in-time restoration using a time within the restorable period- BINLOG: Point-in-time restoration using a restorable binary log position- BACKUP: Snapshot restoration using a previously created backup |
| useDefaultNotification | Boolean | N | Whether to use default notification - Default: false |
| parameterGroupId | UUID | Y | Parameter group identifier |
| dbSecurityGroupIds | Array | N | DB security group identifiers |
| userGroupIds | Array | N | User group identifiers |
| useDeletionProtection | Boolean | N | Whether to protect against deletion - Default: false |
TIMESTAMP)| Name | Format | Required | Description |
|---|---|---|---|
| restore.restoreYmdt | DateTime | N | DB instance restore date (YYYY-MM-DDThh:mm:ss.SSSTZD) |
You can only restore to a point in time earlier than the latest restorable time confirmed by querying the restoration information.
BINLOG)| Name | Format | Required | Description |
|---|---|---|---|
| restore.backupId | UUID | N | Identifier of the backup to use for restoration |
| restore.binLog | Object | N | Binary log information object to use for restoration |
| restore.binLog.binLogFileName | String | N | Binary log name to use for restoration |
| restore.binLog.binLogPosition | Number | N | Binary log location to use for restoration |
For point-in-time restoration using binary logs, you can restore the logs recorded after the binary log file and position of the reference backup.
BACKUP)| Name | Format | Required | Description |
|---|---|---|---|
| restore.backupId | UUID | N | Identifier of the backup to use for restoration |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/db-instances/{dbInstanceId}/start
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/db-instances/{dbInstanceId}/stop
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
GET /v3.0/db-instances/{dbInstanceId}/storage-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"storageType": "General SSD",
"storageSize": 1,
"storageStatus": "DELETED"
}
| Name | Format | Description |
|---|---|---|
| storageType | Enum | Data storage type |
| storageSize | Number | Block Storage Size (GB) |
| storageStatus | Enum | Data Storage Current Status - DELETED: Deleted- PENDING_DELETION: Deletion pending- DELETION_RESERVED: Deletion reserved (waiting for snapshot cleanup)- DETACHED: Detached- ATTACHED: Attached |
PUT /v3.0/db-instances/{dbInstanceId}/storage-info
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | URL | UUID | Y | DB instance identifier |
{
"storageSize": 1
}
| Name | Format | Required | Description |
|---|---|---|---|
| storageSize | Number | Y | Block Storage Size (GB) - Maximum value: 2048 |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
| Status | Description |
|---|---|
BACKING_UP |
Backup in progress |
COMPLETED |
Backup is completed |
DELETING |
Backup is being deleted |
DELETED |
Backup is deleted |
ERROR |
Error occurred |
GET /v3.0/backups
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| page | Query | Number | Y | Page to retrieve - Minimum value: 1 |
| size | Query | Number | Y | Page size to retrieve - Minimum value: 1- Maximum value: 100 |
| backupType | Query | Enum | N | Backup type - AUTO- MANUAL |
| dbInstanceId | Query | UUID | N | Original DB instance identifier |
| dbVersion | Query | Enum | N | DB engine version |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"totalCounts": 1,
"backups": [
{
"backupId": "550e8400-e29b-41d4-a716-446655440000",
"backupName": "backupName-example",
"backupStatus": "BACKING_UP",
"dbInstanceId": "550e8400-e29b-41d4-a716-446655440000",
"dbVersion": "MARIADB_V11808",
"utilVersion": "utilVersion-example",
"backupType": "AUTO",
"backupSize": 1,
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| totalCounts | Number | Number of all backup lists |
| backups | Array | Backup list |
| backups.backupId | UUID | Backup identifier |
| backups.backupName | String | Name to identify backups |
| backups.backupStatus | Enum | Backup current status - BACKING_UP: Backup in progress- COMPLETED: Backup completed- DELETING: Backup being deleted- DELETED: Backup deleted- ERROR: Error occurred |
| backups.dbInstanceId | UUID | Original DB instance identifier |
| backups.dbVersion | Enum | DB engine version |
| backups.utilVersion | String | Utility version |
| backups.backupType | Enum | Backup type - AUTO- MANUAL |
| backups.backupSize | Number | Backup size (bytes) |
| backups.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| backups.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
DELETE /v3.0/backups/{backupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| backupId | URL | UUID | Y | Backup identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/backups/{backupId}/export
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| backupId | URL | UUID | Y | Backup identifier |
{
"tenantId": "0123456789abcdef0123456789abcdef",
"username": "example@nhncloud.com or example",
"password": "password-example",
"targetContainer": "targetContainer-example",
"objectPath": "objectPath-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| tenantId | String | Y | Tenant ID of the Object Storage where the backup will be saved - Minimum length: 32- Maximum length: 32 |
| username | String | Y | NHN Cloud member or IAM member ID |
| password | String | Y | API password of the Object Storage where the backup will be saved |
| targetContainer | String | Y | Container of the Object Storage where the backup will be saved |
| objectPath | String | Y | Backup path to be stored in container |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/backups/{backupId}/restore
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| backupId | URL | UUID | Y | Backup identifier |
{
"dbInstanceName": "dbInstanceName",
"description": "description-example",
"dbFlavorId": "550e8400-e29b-41d4-a716-446655440000",
"dbPort": 13306,
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupIds": [],
"userGroupIds": [],
"useHighAvailability": false,
"pingInterval": 3,
"useDefaultNotification": false,
"useDeletionProtection": false,
"network": {
"subnetId": "550e8400-e29b-41d4-a716-446655440000",
"usePublicAccess": false,
"availabilityZone": "kr-pub-a"
},
"storage": {
"storageType": "General SSD",
"storageSize": 20
},
"backup": {
"backupPeriod": 0,
"backupRetryCount": 0,
"ftwrlWaitTimeout": 1800,
"replicationRegion": "KR1",
"useBackupLock": true,
"backupSchedules": [
{
"backupWndBgnTime": "00:00:00",
"backupWndDuration": "HALF_AN_HOUR"
}
]
}
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbInstanceName | String | Y | Name to identify the primary DB instance - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB instance - Maximum length: 100 |
| dbFlavorId | UUID | Y | Identifier of DB instance specifications |
| dbPort | Number | Y | DB port - Minimum value: 3306, Maximum value: 43306 |
| parameterGroupId | UUID | Y | Parameter group identifier |
| dbSecurityGroupIds | Array | N | DB security group identifiers |
| userGroupIds | Array | N | User group identifiers |
| useHighAvailability | Boolean | N | Whether to use high availability - Default: false |
| pingInterval | Number | N | Ping interval (sec) when using high availability - Default: 3- Minimum value: 1- Maximum value: 600 |
| useDefaultNotification | Boolean | N | Whether to use default notification - Default: false |
| useDeletionProtection | Boolean | N | Whether to protect against deletion - Default: false |
| network | Object | Y | Network information objects |
| network.subnetId | UUID | Y | Subnet identifier |
| network.usePublicAccess | Boolean | N | External access is available or not - Default: false |
| network.availabilityZone | Enum | Y | Availability zone where DB instance will be created |
| storage | Object | Y | Storage information object |
| storage.storageType | Enum | Y | Storage type |
| storage.storageSize | Number | Y | Block Storage Size (GB) - Minimum value: 20 |
| backup | Object | Y | Backup information objects |
| backup.backupPeriod | Number | Y | Backup retention period - Minimum value: 0- Maximum value: 730 |
| backup.backupRetryCount | Number | N | Number of backup retries - Minimum value: 0- Maximum value: 10 |
| backup.ftwrlWaitTimeout | Number | N | Query latency (sec) - Minimum value: 0- Maximum value: 21600 |
| backup.replicationRegion | Enum | N | Backup replication region - KR1: Korea (Pangyo) |
| backup.useBackupLock | Boolean | N | Whether to use table lock - Default: true |
| backup.backupSchedules | Array | Y | Backup schedule list |
| backup.backupSchedules.backupWndBgnTime | Time | Y | Backup start time |
| backup.backupSchedules.backupWndDuration | Enum | Y | Backup window - HALF_AN_HOUR: 30 minutes- ONE_HOUR: 1 hour- ONE_HOUR_AND_HALF: 1.5 hour- TWO_HOURS: 2 hour- TWO_HOURS_AND_HALF: 2.5 hour- THREE_HOURS: 3 hour |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
| Status | Description |
|---|---|
NONE |
No task in progress |
CREATING_RULE |
Creating rules |
UPDATING_RULE |
Modifying rules |
DELETING_RULE |
Deleting rules |
GET /v3.0/db-security-groups
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbSecurityGroups": [
{
"dbSecurityGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupName": "dbSecurityGroupName-example",
"description": "description-example",
"progressStatus": "NONE",
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| dbSecurityGroups | Array | DB security groups |
| dbSecurityGroups.dbSecurityGroupId | UUID | DB security group identifier |
| dbSecurityGroups.dbSecurityGroupName | String | Name to identify DB security groups |
| dbSecurityGroups.description | String | Additional information of DB security group |
| dbSecurityGroups.progressStatus | Enum | Current status of DB security group - NONE: None- CREATING_RULE: Creating rule- UPDATING_RULE: Modifying rule- DELETING_RULE: Deleting rule- APPLYING_DEFAULT_RULE: Applying default rule |
| dbSecurityGroups.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| dbSecurityGroups.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
POST /v3.0/db-security-groups
{
"dbSecurityGroupName": "dbSecurityGroupName",
"description": "description-example",
"rules": [
{
"direction": "INGRESS",
"etherType": "IPV4",
"port": {
"portType": "ALL",
"minPort": 3306,
"maxPort": 1
},
"cidr": "192.168.0.0/24",
"description": "description-example"
}
]
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbSecurityGroupName | String | Y | Name to identify DB security groups - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB security group - Maximum length: 100 |
| rules | Array | Y | DB security group rules |
| rules.direction | Enum | Y | Communication direction - INGRESS: Inbound- EGRESS: Outbound |
| rules.etherType | Enum | Y | Ether type - IPV4: IPv4 format- IPV6: IPv6 format |
| rules.port | Object | Y | Port object |
| rules.port.portType | Enum | Y | Port type - ALL: Entire port range (not used in the user console)- PORT: Specific port- DB_PORT: DB listening port- PORT_RANGE: Port range |
| rules.port.minPort | Number | N | Minimum value of port range - Minimum value: 3306 |
| rules.port.maxPort | Number | N | Maximum value of port range - Maximum value: 65535 |
| rules.cidr | String | Y | CIDR |
| rules.description | String | N | Additional information of security group rule |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbSecurityGroupId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| dbSecurityGroupId | UUID | DB security group identifier |
DELETE /v3.0/db-security-groups/{dbSecurityGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbSecurityGroupId | URL | UUID | Y | DB security group identifier |
This API does not require a request body.
This API does not return a response body.
GET /v3.0/db-security-groups/{dbSecurityGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbSecurityGroupId | URL | UUID | Y | DB security group identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"dbSecurityGroup": {
"dbSecurityGroupId": "550e8400-e29b-41d4-a716-446655440000",
"dbSecurityGroupName": "dbSecurityGroupName-example",
"description": "description-example",
"progressStatus": "NONE",
"rules": [
{
"ruleId": "550e8400-e29b-41d4-a716-446655440000",
"description": "description-example",
"direction": "INGRESS",
"etherType": "IPV4",
"port": {
"portType": "ALL",
"minPort": 1,
"maxPort": 1
},
"cidr": "192.168.0.0/24",
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
],
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
}
| Name | Format | Description |
|---|---|---|
| dbSecurityGroup | Object | DB security group |
| dbSecurityGroup.dbSecurityGroupId | UUID | DB security group identifier |
| dbSecurityGroup.dbSecurityGroupName | String | Name to identify DB security groups |
| dbSecurityGroup.description | String | Additional information of DB security group |
| dbSecurityGroup.progressStatus | Enum | Current status of DB security group - NONE: None- CREATING_RULE: Creating rule- UPDATING_RULE: Modifying rule- DELETING_RULE: Deleting rule- APPLYING_DEFAULT_RULE: Applying default rule |
| dbSecurityGroup.rules | Array | DB security group rules |
| dbSecurityGroup.rules.ruleId | UUID | DB security group rule identifier |
| dbSecurityGroup.rules.description | String | Additional information of DB security group rule |
| dbSecurityGroup.rules.direction | Enum | Communication direction - INGRESS: Inbound- EGRESS: Outbound |
| dbSecurityGroup.rules.etherType | Enum | Ether type - IPV4: IPv4 format- IPV6: IPv6 format |
| dbSecurityGroup.rules.port | Object | Port object |
| dbSecurityGroup.rules.port.portType | Enum | Port type - ALL: Entire port range (not used in the user console)- PORT: Specific port- DB_PORT: DB listening port- PORT_RANGE: Port range |
| dbSecurityGroup.rules.port.minPort | Number | Minimum value of port range |
| dbSecurityGroup.rules.port.maxPort | Number | Maximum value of port range |
| dbSecurityGroup.rules.cidr | String | CIDR |
| dbSecurityGroup.rules.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| dbSecurityGroup.rules.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| dbSecurityGroup.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| dbSecurityGroup.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
PUT /v3.0/db-security-groups/{dbSecurityGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbSecurityGroupId | URL | UUID | Y | DB security group identifier |
{
"dbSecurityGroupName": "dbSecurityGroupName",
"description": "description-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| dbSecurityGroupName | String | N | Name to identify DB security groups - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of DB security group - Maximum length: 100 |
This API does not return a response body.
DELETE /v3.0/db-security-groups/{dbSecurityGroupId}/rules
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbSecurityGroupId | URL | UUID | Y | DB security group identifier |
| ruleIds | Query | String | Y | DB security group rule identifiers |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
POST /v3.0/db-security-groups/{dbSecurityGroupId}/rules
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbSecurityGroupId | URL | UUID | Y | DB security group identifier |
{
"direction": "INGRESS",
"etherType": "IPV4",
"port": {
"portType": "ALL",
"minPort": 3306,
"maxPort": 1
},
"cidr": "192.168.0.0/24",
"description": "description-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| direction | Enum | Y | Communication direction - INGRESS: Inbound- EGRESS: Outbound |
| etherType | Enum | Y | Ether type - IPV4: IPv4 format- IPV6: IPv6 format |
| port | Object | Y | Port object |
| port.portType | Enum | Y | Port type - ALL: Entire port range (not used in the user console)- PORT: Specific port- DB_PORT: DB listening port- PORT_RANGE: Port range |
| port.minPort | Number | N | Minimum value of port range - Minimum value: 3306 |
| port.maxPort | Number | N | Maximum value of port range - Maximum value: 65535 |
| cidr | String | Y | CIDR |
| description | String | N | Additional information of DB security group rule - Maximum length: 200 |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
PUT /v3.0/db-security-groups/{dbSecurityGroupId}/rules/{ruleId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbSecurityGroupId | URL | UUID | Y | DB security group identifier |
| ruleId | URL | UUID | Y | DB security group rule identifier |
{
"direction": "INGRESS",
"etherType": "IPV4",
"port": {
"portType": "ALL",
"minPort": 3306,
"maxPort": 1
},
"cidr": "192.168.0.0/24",
"description": "description-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| direction | Enum | Y | Communication direction - INGRESS: Inbound- EGRESS: Outbound |
| etherType | Enum | Y | Ether type - IPV4: IPv4 format- IPV6: IPv6 format |
| port | Object | Y | Port object |
| port.portType | Enum | Y | Port type - ALL: Entire port range (not used in the user console)- PORT: Specific port- DB_PORT: DB listening port- PORT_RANGE: Port range |
| port.minPort | Number | N | Minimum value of port range - Minimum value: 3306 |
| port.maxPort | Number | N | Maximum value of port range - Maximum value: 65535 |
| cidr | String | Y | CIDR |
| description | String | N | Additional information of DB security group rule - Maximum length: 200 |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"jobId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| jobId | UUID | Task identifier |
GET /v3.0/parameter-groups
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbVersion | Query | Enum | N | DB engine version |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"parameterGroups": [
{
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"parameterGroupName": "parameterGroupName-example",
"description": "description-example",
"dbVersion": "MARIADB_V11808",
"parameterGroupStatus": "STABLE",
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| parameterGroups | Array | Parameter groups |
| parameterGroups.parameterGroupId | UUID | Parameter group identifier |
| parameterGroups.parameterGroupName | String | Name to identify parameter groups |
| parameterGroups.description | String | Additional information of parameter group |
| parameterGroups.dbVersion | Enum | DB engine version |
| parameterGroups.parameterGroupStatus | Enum | Parameter group current status - STABLE: Applied- NEED_TO_APPLY: Need to apply- DELETED: Deleted |
| parameterGroups.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| parameterGroups.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
POST /v3.0/parameter-groups
{
"parameterGroupName": "parameterGroupName",
"description": "description-example",
"dbVersion": "MARIADB_V11808"
}
| Name | Format | Required | Description |
|---|---|---|---|
| parameterGroupName | String | Y | Name to identify parameter groups - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of parameter group - Maximum length: 100 |
| dbVersion | Enum | Y | DB engine version |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| parameterGroupId | UUID | Parameter group identifier |
DELETE /v3.0/parameter-groups/{parameterGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| parameterGroupId | URL | UUID | Y | Parameter group identifier |
This API does not require a request body.
This API does not return a response body.
GET /v3.0/parameter-groups/{parameterGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| parameterGroupId | URL | UUID | Y | Parameter group identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000",
"parameterGroupName": "parameterGroupName-example",
"description": "description-example",
"dbVersion": "MARIADB_V11808",
"parameterGroupStatus": "STABLE",
"parameters": [
{
"parameterId": "550e8400-e29b-41d4-a716-446655440000",
"parameterFileGroup": "CLIENT",
"parameterName": "parameterName-example",
"fileParameterName": "fileParameterName-example",
"value": "value-example",
"defaultValue": "defaultValue-example",
"allowedValue": "allowedValue-example",
"updateType": "VARIABLE",
"applyType": "BOTH"
}
],
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
| Name | Format | Description |
|---|---|---|
| parameterGroupId | UUID | Parameter group identifier |
| parameterGroupName | String | Name to identify parameter groups |
| description | String | Additional information of parameter group |
| dbVersion | Enum | DB engine version |
| parameterGroupStatus | Enum | Parameter group current status - STABLE: Applied- NEED_TO_APPLY: Need to apply- DELETED: Deleted |
| parameters | Array | Parameter list |
| parameters.parameterId | UUID | Parameter identifier |
| parameters.parameterFileGroup | Enum | Parameter file group type - CLIENT- MYSQL- MYSQLD |
| parameters.parameterName | String | Parameter name |
| parameters.fileParameterName | String | Parameter file name |
| parameters.value | String | Current value |
| parameters.defaultValue | String | Default value |
| parameters.allowedValue | String | Permitted values |
| parameters.updateType | Enum | Modification type - VARIABLE- CONSTANT- INIT_VARIABLE |
| parameters.applyType | Enum | Application type - BOTH- SESSION- FILE |
| createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
PUT /v3.0/parameter-groups/{parameterGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| parameterGroupId | URL | UUID | Y | Parameter group identifier |
{
"parameterGroupName": "parameterGroupName",
"description": "description-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| parameterGroupName | String | N | Name to identify parameter groups - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of parameter group - Maximum length: 100 |
This API does not return a response body.
POST /v3.0/parameter-groups/{parameterGroupId}/copy
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| parameterGroupId | URL | UUID | Y | Parameter group identifier |
{
"parameterGroupName": "parameterGroupName",
"description": "description-example"
}
| Name | Format | Required | Description |
|---|---|---|---|
| parameterGroupName | String | Y | Name to identify parameter groups - Minimum length: 1- Maximum length: 100 |
| description | String | N | Additional information of parameter group - Maximum length: 100 |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"parameterGroupId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| parameterGroupId | UUID | Parameter group identifier |
PUT /v3.0/parameter-groups/{parameterGroupId}/parameters
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| parameterGroupId | URL | UUID | Y | Parameter group identifier |
{
"modifiedParameters": [
{
"parameterId": "550e8400-e29b-41d4-a716-446655440000",
"value": "value-example"
}
]
}
| Name | Format | Required | Description |
|---|---|---|---|
| modifiedParameters | Array | Y | Parameters to change |
| modifiedParameters.parameterId | UUID | Y | Parameter identifier |
| modifiedParameters.value | String | Y | Parameter value to change |
This API does not return a response body.
PUT /v3.0/parameter-groups/{parameterGroupId}/reset
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| parameterGroupId | URL | UUID | Y | Parameter group identifier |
This API does not require a request body.
This API does not return a response body.
GET /v3.0/user-groups
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"userGroups": [
{
"userGroupId": "550e8400-e29b-41d4-a716-446655440000",
"userGroupName": "userGroupName-example",
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| userGroups | Array | User Groups |
| userGroups.userGroupId | UUID | User group identifier |
| userGroups.userGroupName | String | Name to identify user groups |
| userGroups.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| userGroups.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
POST /v3.0/user-groups
{
"userGroupName": "userGroupName-example",
"memberIds": [],
"selectAllYN": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| userGroupName | String | Y | Name to identify user groups |
| memberIds | Array | Y | Project member identifiers |
| selectAllYN | Boolean | N | Whether to include all project members - Default: false |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"userGroupId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| userGroupId | UUID | User group identifier |
DELETE /v3.0/user-groups/{userGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| userGroupId | URL | UUID | Y | User group identifier |
This API does not require a request body.
This API does not return a response body.
GET /v3.0/user-groups/{userGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| userGroupId | URL | UUID | Y | User group identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"userGroupId": "550e8400-e29b-41d4-a716-446655440000",
"userGroupName": "userGroupName-example",
"userGroupTypeCode": "ENTIRE",
"members": [
{
"memberId": "550e8400-e29b-41d4-a716-446655440000"
}
],
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
| Name | Format | Description |
|---|---|---|
| userGroupId | UUID | User group identifier |
| userGroupName | String | Name to identify user groups |
| userGroupTypeCode | Enum | User group type - ENTIRE- INDIVIDUAL_MEMBER |
| members | Array | Project member list |
| members.memberId | UUID | Project member identifier |
| createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
PUT /v3.0/user-groups/{userGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| userGroupId | URL | UUID | Y | User group identifier |
{
"userGroupName": "userGroupName-example",
"memberIds": [],
"selectAllYN": false
}
| Name | Format | Required | Description |
|---|---|---|---|
| userGroupName | String | Y | Name to identify user groups |
| memberIds | Array | N | Project member identifiers |
| selectAllYN | Boolean | N | Whether to include all project members - Default: false |
This API does not return a response body.
GET /v3.0/notification-groups
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"notificationGroups": [
{
"notificationGroupId": "550e8400-e29b-41d4-a716-446655440000",
"notificationGroupName": "notificationGroupName-example",
"notifyEmail": false,
"notifySms": false,
"isEnabled": false,
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| notificationGroups | Array | Notification Groups |
| notificationGroups.notificationGroupId | UUID | Notification group identifier |
| notificationGroups.notificationGroupName | String | Name to identify notification groups |
| notificationGroups.notifyEmail | Boolean | Whether to be notified by email |
| notificationGroups.notifySms | Boolean | Whether to be notified by SMS |
| notificationGroups.isEnabled | Boolean | Indicates whether the flavor is enabled |
| notificationGroups.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| notificationGroups.updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
POST /v3.0/notification-groups
{
"notificationGroupName": "notificationGroupName",
"notifyEmail": true,
"notifySms": true,
"isEnabled": true,
"dbInstanceIds": [],
"userGroupIds": []
}
| Name | Format | Required | Description |
|---|---|---|---|
| notificationGroupName | String | Y | Name to identify notification groups - Minimum length: 1- Maximum length: 100 |
| notifyEmail | Boolean | N | Whether to be notified by email - Default: true |
| notifySms | Boolean | N | Whether to be notified by SMS - Default: true |
| isEnabled | Boolean | N | Indicates whether the flavor is enabled - Default: true |
| dbInstanceIds | Array | Y | DB instance identifiers to monitor |
| userGroupIds | Array | Y | User group identifiers |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"notificationGroupId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| notificationGroupId | UUID | Notification group identifier |
DELETE /v3.0/notification-groups/{notificationGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| notificationGroupId | URL | UUID | Y | Notification group identifier |
This API does not require a request body.
This API does not return a response body.
GET /v3.0/notification-groups/{notificationGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| notificationGroupId | URL | UUID | Y | Notification group identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"notificationGroupId": "550e8400-e29b-41d4-a716-446655440000",
"notificationGroupName": "notificationGroupName-example",
"notifyEmail": false,
"notifySms": false,
"isEnabled": false,
"dbInstances": [
{
"dbInstanceId": "550e8400-e29b-41d4-a716-446655440000",
"dbInstanceName": "dbInstanceName-example"
}
],
"userGroups": [
{
"userGroupId": "550e8400-e29b-41d4-a716-446655440000",
"userGroupName": "userGroupName-example"
}
],
"createdYmdt": "2023-12-31T15:00:00+09:00",
"updatedYmdt": "2023-12-31T15:00:00+09:00"
}
| Name | Format | Description |
|---|---|---|
| notificationGroupId | UUID | Notification group identifier |
| notificationGroupName | String | Name to identify notification groups |
| notifyEmail | Boolean | Whether to be notified by email |
| notifySms | Boolean | Whether to be notified by SMS |
| isEnabled | Boolean | Indicates whether the flavor is enabled |
| dbInstances | Array | DB Instances to monitor |
| dbInstances.dbInstanceId | UUID | DB instance identifier |
| dbInstances.dbInstanceName | String | Name to identify the primary DB instance |
| userGroups | Array | User Groups |
| userGroups.userGroupId | UUID | User group identifier |
| userGroups.userGroupName | String | Name to identify user groups |
| createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| updatedYmdt | DateTime | Modified date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
PUT /v3.0/notification-groups/{notificationGroupId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| notificationGroupId | URL | UUID | Y | Notification group identifier |
{
"notificationGroupName": "notificationGroupName-example",
"notifyEmail": false,
"notifySms": false,
"isEnabled": false,
"dbInstanceIds": [],
"userGroupIds": []
}
| Name | Format | Required | Description |
|---|---|---|---|
| notificationGroupName | String | N | Name to identify notification groups |
| notifyEmail | Boolean | N | Whether to be notified by email - Default: false |
| notifySms | Boolean | N | Whether to be notified by SMS - Default: false |
| isEnabled | Boolean | N | Indicates whether the flavor is enabled - Default: false |
| dbInstanceIds | Array | N | DB instance identifiers to monitor |
| userGroupIds | Array | N | User group identifiers |
This API does not return a response body.
GET /v3.0/metric-statistics
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| dbInstanceId | Query | UUID | Y | DB instance identifier |
| measureNames | Query | Array | Y | List of performance metrics to query |
| from | Query | DateTime | Y | Start date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| to | Query | DateTime | Y | End date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| interval | Query | Number | N | View interval - Unit: minute- Default: An appropriate value is automatically selected based on the start and end date and time |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"metricStatistics": [
{
"measureName": "CPU_USAGE",
"unit": "%",
"values": [
[
1679298540,
"7.5%"
]
]
}
]
}
| Name | Format | Description |
|---|---|---|
| metricStatistics | Array | Statistics information list |
| metricStatistics.measureName | Enum | Measure type |
| metricStatistics.unit | String | Unit of measured value |
| metricStatistics.values | Array | Measured value list |
| metricStatistics.values.timestamp | Timestamp | Measure time |
| metricStatistics.values.value | String | Measured value |
GET /v3.0/metrics
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"metrics": [
{
"measureName": "CPU_USAGE",
"unit": "%"
}
]
}
| Name | Format | Description |
|---|---|---|
| metrics | Array | Metric List |
| metrics.measureName | Enum | Metric type to query |
| metrics.unit | String | Unit of measured value |
Events can be categorized into categories, which are shown below.
| Event category | Description |
|---|---|
| ALL | All |
| BACKUP | Backups |
| DB_INSTANCE | DB Instance |
| JOB | Jobs |
| TENANT | Tenant |
| MONITORING | Monitoring |
GET /v3.0/event-codes
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"eventCodes": [
{
"eventCode": "INSTC_02_01",
"eventCategoryType": "ALL"
}
]
}
| Name | Format | Description |
|---|---|---|
| eventCodes | Array | Event Codes |
| eventCodes.eventCode | Enum | Event Code |
| eventCodes.eventCategoryType | Enum | Event category type - ALL- INSTANCE- DB_SECURITY_GROUP- MONITORING- JOB- BACKUP- TENANT |
GET /v3.0/events
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| page | Query | Number | Y | Page to retrieve - Minimum value: 1 |
| size | Query | Number | Y | Page size to retrieve - Minimum value: 1- Maximum value: 100 |
| from | Query | DateTime | Y | Start date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| to | Query | DateTime | Y | End date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
| eventCategoryType | Query | Enum | Y | Event category types to query - ALL- INSTANCE- DB_SECURITY_GROUP- MONITORING- JOB- BACKUP- TENANT |
| sourceId | Query | UUID | N | Event target resource identifier |
| keyword | Query | String | N | String keyword in event message |
| ascendingOrder | Query | Enum | N | Event message sorting order - Default value: DESC- ASC- DESC |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"totalCounts": 1,
"events": [
{
"eventCategoryType": "ALL",
"eventCode": "INSTC_02_01",
"sourceId": "550e8400-e29b-41d4-a716-446655440000",
"sourceName": "sourceName-example",
"messages": [
{
"langCode": "KO",
"message": "message-example"
}
],
"eventYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| totalCounts | Number | Total number of events |
| events | Array | Events |
| events.eventCategoryType | Enum | Event category type - ALL- INSTANCE- DB_SECURITY_GROUP- MONITORING- JOB- BACKUP- TENANT |
| events.eventCode | Enum | Occurred event type |
| events.sourceId | UUID | Event source identifier |
| events.sourceName | String | Name to identify event sources |
| events.messages | Array | Event messages |
| events.messages.langCode | Enum | Language code - KO- EN- JA- ZH |
| events.messages.message | String | Event Message |
| events.eventYmdt | DateTime | Event occurred date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
GET /v3.0/event-subscriptions
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| page | Query | Number | Y | Page to retrieve - Minimum value: 1 |
| size | Query | Number | Y | Page size to retrieve - Minimum value: 1- Maximum value: 100 |
| eventSubscriptionId | Query | UUID | N | Event subscription identifier |
| eventSubscriptionName | Query | String | N | Name to identify event subscription |
| userGroupId | Query | UUID | N | User group identifier |
This API does not require a request body.
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"totalCounts": 1,
"eventSubscriptions": [
{
"eventSubscriptionId": "550e8400-e29b-41d4-a716-446655440000",
"eventCategoryType": "ALL",
"eventSubscriptionName": "eventSubscriptionName-example",
"enabled": false,
"notifyEmail": false,
"notifySms": false,
"eventCodes": [],
"sources": [
{
"sourceId": "550e8400-e29b-41d4-a716-446655440000",
"eventCategoryType": "ALL"
}
],
"userGroupIds": [
"550e8400-e29b-41d4-a716-446655440000"
],
"createdYmdt": "2023-12-31T15:00:00+09:00"
}
]
}
| Name | Format | Description |
|---|---|---|
| totalCounts | Number | Total number of event subscriptions |
| eventSubscriptions | Array | List of event subscriptions |
| eventSubscriptions.eventSubscriptionId | UUID | Event subscription identifier |
| eventSubscriptions.eventCategoryType | Enum | Event category type - ALL- INSTANCE- DB_SECURITY_GROUP- MONITORING- JOB- BACKUP- TENANT |
| eventSubscriptions.eventSubscriptionName | String | Name to identify event subscription |
| eventSubscriptions.enabled | Boolean | Indicates whether the flavor is enabled |
| eventSubscriptions.notifyEmail | Boolean | Whether to send emails |
| eventSubscriptions.notifySms | Boolean | Whether to send SMS messages |
| eventSubscriptions.eventCodes | Array | List of event codes to subscribe to |
| eventSubscriptions.sources | Array | List of event sources to subscribe to |
| eventSubscriptions.sources.sourceId | UUID | Event source identifier |
| eventSubscriptions.sources.eventCategoryType | Enum | Event category type - ALL- INSTANCE- DB_SECURITY_GROUP- MONITORING- JOB- BACKUP- TENANT |
| eventSubscriptions.userGroupIds | Array | List of identifiers of user groups subscribing to the event |
| eventSubscriptions.createdYmdt | DateTime | Created date and time (YYYY-MM-DDThh:mm:ss.SSSTZD) |
POST /v3.0/event-subscriptions
{
"eventCategoryType": "ALL",
"eventSubscriptionName": "eventSubscriptionName-example",
"enabled": false,
"notifyEmail": false,
"notifySms": false,
"eventCodes": [],
"sources": [
{
"sourceId": "550e8400-e29b-41d4-a716-446655440000",
"eventCategoryType": "ALL"
}
],
"userGroupIds": []
}
| Name | Format | Required | Description |
|---|---|---|---|
| eventCategoryType | Enum | Y | Event category type - ALL- INSTANCE- DB_SECURITY_GROUP- MONITORING- JOB- BACKUP- TENANT |
| eventSubscriptionName | String | Y | Name to identify event subscription |
| enabled | Boolean | Y | Indicates whether the flavor is enabled |
| notifyEmail | Boolean | Y | Whether to send emails |
| notifySms | Boolean | Y | Whether to send SMS messages |
| eventCodes | Array | Y | List of event codes to subscribe to |
| sources | Array | Y | List of event sources to subscribe to |
| sources.sourceId | UUID | Y | Event source identifier |
| sources.eventCategoryType | Enum | Y | Event category type - ALL- INSTANCE- DB_SECURITY_GROUP- MONITORING- JOB- BACKUP- TENANT |
| userGroupIds | Array | Y | List of identifiers of user groups to subscribe to |
{
"header": {
"resultCode": 0,
"resultMessage": "SUCCESS",
"isSuccessful": true
},
"eventSubscriptionId": "550e8400-e29b-41d4-a716-446655440000"
}
| Name | Format | Description |
|---|---|---|
| eventSubscriptionId | UUID | Event subscription identifier |
DELETE /v3.0/event-subscriptions/{eventSubscriptionId}
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| eventSubscriptionId | URL | UUID | Y | Event subscription identifier |
This API does not require a request body.
This API does not return a response body.
[...]
